Skip to main content
GET
/
web
/
sic
JavaScript
import ContextDev from 'context.dev';

const client = new ContextDev({
  apiKey: process.env['CONTEXT_DEV_API_KEY'], // This is the default and can be omitted
});

const response = await client.industry.retrieveSic({ input: 'input' });

console.log(response.classification);
{
  "status": "<string>",
  "domain": "<string>",
  "type": "<string>",
  "classification": "original_sic",
  "codes": [
    {
      "code": "<string>",
      "name": "<string>",
      "confidence": "high",
      "majorGroup": "<string>",
      "majorGroupName": "<string>",
      "office": "<string>"
    }
  ]
}
10 Credits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

input
string
required

Brand domain or title to retrieve SIC code for. If a valid domain is provided, it will be used for classification, otherwise, we will search for the brand using the provided title.

type
enum<string>
default:original_sic

Which SIC dataset to classify against. original_sic uses the 1987 Standard Industrial Classification system; latest_sec uses the current SIC list as published by the SEC. Defaults to original_sic.

Available options:
original_sic,
latest_sec
minResults
integer
default:1

Minimum number of SIC codes to return. Must be at least 1. Defaults to 1.

Required range: 1 <= x <= 10
maxResults
integer
default:5

Maximum number of SIC codes to return. Must be between 1 and 10. Defaults to 5.

Required range: 1 <= x <= 10
timeoutMS
integer

Optional timeout in milliseconds for the request. If the request takes longer than this value, it will be aborted with a 408 status code. Maximum allowed value is 300000ms (5 minutes).

Required range: 1000 <= x <= 300000

Response

Successful response

status
string

Status of the response, e.g., 'ok'

domain
string

Domain found for the brand

type
string

Industry classification type, for sic api it will be sic

classification
enum<string>

Echoes back which SIC dataset was used to classify the brand.

Available options:
original_sic,
latest_sec
codes
object[]

Array of SIC codes with confidence scores. Extra fields depend on the requested classification: original_sic results include majorGroup and majorGroupName; latest_sec results include office.